//
//  JustPostedFlickrPhotosTVC.m
//  Shutterbug
//
//  Created by Sameh Fakhouri on 11/21/16.
//  Copyright © 2016 Sameh Fakhouri. All rights reserved.
//

#import "JustPostedFlickrPhotosTVC.h"

@interface JustPostedFlickrPhotosTVC ()

@end

@implementation JustPostedFlickrPhotosTVC

- (void)viewDidLoad {
    [super viewDidLoad];
    [self fetchPhotos];
}



- (IBAction)fetchPhotos
{
    NSURL *url = [FlickrFetcher URLforRecentGeoreferencedPhotos];
    
    // create a new queue to do the fetching
    dispatch_queue_t fetchQ = dispatch_queue_create("flickr fetcher", NULL);
    
    // dispatch the fetch on this queue
    dispatch_async(fetchQ, ^{
        NSData *jsonResults = [NSData dataWithContentsOfURL:url];
        NSDictionary *propertyListResults = [NSJSONSerialization
                                             JSONObjectWithData:jsonResults
                                             options:0
                                             error:NULL];
        
        NSLog(@"Flickr Result = %@", propertyListResults);
        NSArray *photos = [propertyListResults valueForKeyPath:FLICKR_RESULTS_PHOTOS];
        
        // This needs to be done on the main thrread
        dispatch_async(dispatch_get_main_queue(), ^{
            [self.refreshControl endRefreshing];
            self.photos = photos;
        });
    });
}
















@end
